PHP API wrapper is still supported?


#1

Hi guys, do you still support https://github.com/Asana/php-asana php wrapper for your api? It throughs a fatal error for the very basic example in your readme docs.

“Fatal error: Uncaught exception ‘Httpful\Exception\ConnectionErrorException’ with message 'Unable to connect to “https://app.asana.com/api/1.0/users/me”: 35 Unknown SSL protocol error in connection to app.asana.com:443


#2

@Matt_Bramlage — Can you help @Michael_M with his question around a PHP wrapper for the API?


#3

I was able to start it but still would love to know about the official status of the repository, since I noticed that no recent pushes were made to the repository.


#4

Hi @Michael_M,

Yes, we still have that client library as an active language for accessing our API. You’re right - it has been some time since we’ve updated it - but we’ll have some updates to commit relatively soon for new features enabled by our boards API work and we’ll be sure to try to reproduce this error.

One thing that comes to mind is that perhaps the SSL library of your machine is old - this is actually quite common on OS X, for instance, which ships with a decades-old version. There’s more information about how to diagnose and fix this (if this turns out to be the case) in our python library docs; off the top of my head, I don’t recall us identifying PHP as being affected in this way, but it’s entirely possible I’m misremembering this.

Thanks!


#5

Yes, you are 100% correct. That was an OS X issue. Executing PHP from within a docker container solved it. Thanks!